using System;
using System.Web.Security;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.IO;
using System.Collections.Generic;
using System.Configuration;
using System.Drawing;
using Infragistics.WebUI.UltraWebNavigator;
using Infragistics.Web.UI.NavigationControls;

namespace BlackTieMedical
{
    public partial class Controls_Header : System.Web.UI.UserControl
    {
        HtmlLink cssInfragisticsShared;
        HtmlLink cssInfragisticsDataMenu;
        HtmlLink cssMainMenuLink;
        HtmlLink cssHandoffLink;
        HtmlLink cssImplantLink;
        HtmlLink cssContractLink;
        HtmlLink cssProQALink;


        protected override void OnInit(EventArgs e)
        {
            // this is the way to add the link for the custom WebDataMenu style sheets
            cssInfragisticsShared = new HtmlLink();
            cssInfragisticsDataMenu = new HtmlLink();
            cssHandoffLink = new HtmlLink();
            cssMainMenuLink = new HtmlLink();


            // point the links to the correct css pages
            cssInfragisticsShared.Href = "./ig_res/Default/ig_shared.css";
            cssInfragisticsDataMenu.Href = "./ig_res/Default/ig_datamenu.css";
            cssHandoffLink.Href = "./StyleSheets/Menu_HandoffStyle.css";
            cssMainMenuLink.Href = "./StyleSheets/Menu_MainStyle.css";

            // setup the remainder of the tags
            cssInfragisticsShared.Attributes.Add("rel", "stylesheet");
            cssInfragisticsShared.Attributes.Add("type", "text/css");

            cssInfragisticsDataMenu.Attributes.Add("rel", "stylesheet");
            cssInfragisticsDataMenu.Attributes.Add("type", "text/css");

            cssMainMenuLink.Attributes.Add("rel", "stylesheet");
            cssMainMenuLink.Attributes.Add("type", "text/css");

            cssHandoffLink.Attributes.Add("rel", "stylesheet");
            cssHandoffLink.Attributes.Add("type", "text/css");
           

            // this is the default page with the default menu settings
            Page.Header.Controls.Add(cssInfragisticsShared);
            Page.Header.Controls.Add(cssInfragisticsDataMenu);
            Page.Header.Controls.Add(cssMainMenuLink);

        }


        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                CreateHospitalUserMenus();
            }
        }

        private void CreateHospitalUserMenus()
        {
            UltraWebMenu1.Items.Clear();

            CreateLoopMenu();

            Page.Header.Controls.Add(cssHandoffLink);
        }

        

        private void CreateLoopMenu()
        {
            DataMenuItem iTopItem = new DataMenuItem();
            DataMenuItem iMenuItem = new DataMenuItem();
            DataMenuItem iSubMenuItem = new DataMenuItem();
            
            // Menu 1
            iTopItem.Text = "Test Pages&nbsp;";
            //iTopItem.CssClass = "FirstItem";

            iMenuItem.Text = "Test page with UpdatePanel - IE9 (broken)";
            iMenuItem.NavigateUrl = "TestPagePlain.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Test page with UpdateCompatibility - IE8 Compatibility Mode (works) ";
            iMenuItem.NavigateUrl = "TestPageWithCompatibility.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            UltraWebMenu1.Items.Add(iTopItem);


            // Menu 2
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Charts & Graphs &nbsp;";
            //iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Reports";

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Product Utilization";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=1";
            iMenuItem.Enabled = false;
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Physican Activity";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=2";
            iMenuItem.Enabled = false;
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Capitations";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=3";
            iMenuItem.Enabled = false;
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Capitation Plus";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=4";
            iMenuItem.Enabled = false;
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Procedure Summary";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=5";
            iMenuItem.Enabled = false;
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Procedure Detail";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=6";
            iMenuItem.Enabled = false;
            iMenuItem.Items.Add(iSubMenuItem);

            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Report Manager";
            iMenuItem.NavigateUrl = "ReportManager.aspx";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Dashboard Graphics";
            iMenuItem.NavigateUrl = "GraphicsSetup.aspx";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View My Contracts";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Memorized";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            UltraWebMenu1.Items.Add(iTopItem);

            // Menu 4
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Search&nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Products";
            iMenuItem.NavigateUrl = "SearchProducts.aspx";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search P.O.s";
            iMenuItem.NavigateUrl = "SearchPOs.aspx";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Completed P.O.s";
            iMenuItem.NavigateUrl = "SearchPOs.aspx?i=1";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Incomplete P.O.s";
            iMenuItem.NavigateUrl = "SearchPOs.aspx?i=2";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            UltraWebMenu1.Items.Add(iTopItem);           

            
        }

              
    }
}
